package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration

Bug #1692981 reported by Arunkumar Ramanan on 2017-05-23
536
This bug affects 88 people
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
Undecided
Unassigned
openssl (Ubuntu)
Undecided
Unassigned

Bug Description

package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration

ProblemType: Package
DistroRelease: Ubuntu 17.04
Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
Uname: Linux 4.10.0-21-generic x86_64
ApportVersion: 2.20.4-0ubuntu4.1
AptOrdering:
 libssl1.0.0:amd64: Install
 NULL: ConfigurePending
Architecture: amd64
Date: Tue May 23 21:47:55 2017
DuplicateSignature:
 package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
 Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
 dpkg: error processing package libssl-dev:amd64 (--configure):
  package is in a very bad inconsistent state; you should
ErrorMessage: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
InstallationDate: Installed on 2017-05-15 (7 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
RelatedPackageVersions:
 dpkg 1.18.10ubuntu2
 apt 1.4
SourcePackage: openssl
Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
UpgradeStatus: No upgrade log present (probably fresh install)

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

information type: Private Security → Public
tags: removed: need-duplicate-check
William Grant (wgrant) on 2017-05-29
tags: added: bot-stop-nagging
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in openssl (Ubuntu):
status: New → Confirmed
Seth Arnold (seth-arnold) wrote :

Hello; would those of you affected by this bug please attach your /var/log/apt/term.log file?

Thanks

  • term.log Edit (41.9 KiB, text/x-log; charset="US-ASCII"; name="term.log")

Hello,
Thank you very much for helping.
File attached.
Thanks

Στις Τρί, 20 Ιουν 2017 στις 2:41 π.μ., ο/η Seth Arnold <
<email address hidden>> έγραψε:

> Hello; would those of you affected by this bug please attach your
> /var/log/apt/term.log file?
>
> Thanks
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1698303).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> Uname: Linux 4.10.0-21-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.1
> AptOrdering:
> libssl1.0.0:amd64: Install
> NULL: ConfigurePending
> Architecture: amd64
> Date: Tue May 23 21:47:55 2017
> DuplicateSignature:
> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> dpkg: error processing package libssl-dev:amd64 (--configure):
> package is in a very bad inconsistent state; you should
> ErrorMessage: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> InstallationDate: Installed on 2017-05-15 (7 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: openssl
> Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1692981/+subscriptions
>

Download full text (4.5 KiB)

I am new to Ubuntu and have no idea how to do this.
Can you help me?

On 20 June 2017 at 16:13, Homatidis Dimitris <email address hidden> wrote:

> Hello,
> Thank you very much for helping.
> File attached.
> Thanks
>
> Στις Τρί, 20 Ιουν 2017 στις 2:41 π.μ., ο/η Seth Arnold <
> <email address hidden>> έγραψε:
>
> > Hello; would those of you affected by this bug please attach your
> > /var/log/apt/term.log file?
> >
> > Thanks
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1698303).
> > https://bugs.launchpad.net/bugs/1692981
> >
> > Title:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > Status in openssl package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 17.04
> > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > Uname: Linux 4.10.0-21-generic x86_64
> > ApportVersion: 2.20.4-0ubuntu4.1
> > AptOrdering:
> > libssl1.0.0:amd64: Install
> > NULL: ConfigurePending
> > Architecture: amd64
> > Date: Tue May 23 21:47:55 2017
> > DuplicateSignature:
> > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > dpkg: error processing package libssl-dev:amd64 (--configure):
> > package is in a very bad inconsistent state; you should
> > ErrorMessage: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> > RelatedPackageVersions:
> > dpkg 1.18.10ubuntu2
> > apt 1.4
> > SourcePackage: openssl
> > Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > install/upgrade: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > UpgradeStatus: No upgrade log present (probably fresh install)
> >
> > To manage notifications about this bug go to:
> >
> > https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/
> 1692981/+subscriptions
> >
>
>
> ** Attachment added: "term.log"
> https://bugs.launchpad.net/bugs/1692981/+attachment/
> 4899025/+files/term.log
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696930).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent ...

Read more...

I am new to Ubuntu and have no idea how to do this.
Can you help me?

On 20 June 2017 at 08:59, Seth Arnold <email address hidden> wrote:

> Hello; would those of you affected by this bug please attach your
> /var/log/apt/term.log file?
>
> Thanks
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696930).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> Uname: Linux 4.10.0-21-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.1
> AptOrdering:
> libssl1.0.0:amd64: Install
> NULL: ConfigurePending
> Architecture: amd64
> Date: Tue May 23 21:47:55 2017
> DuplicateSignature:
> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> dpkg: error processing package libssl-dev:amd64 (--configure):
> package is in a very bad inconsistent state; you should
> ErrorMessage: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> InstallationDate: Installed on 2017-05-15 (7 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: openssl
> Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/
> 1692981/+subscriptions
>

Orkhan Guliyev (orkhan-c) wrote :

Yes, sure. Take file.

Seth Arnold (seth-arnold) wrote :

Hello Anthony,

On https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1692981 click the text that says "Add attachment or patch" near the bottom left corner of the page. On the next screen click "browse" and type in /var/log/apt/term.log . Then click "post comment".

Thanks!

Thank you, Seth.

________________________________
De : <email address hidden> <email address hidden> de la part de Seth Arnold <email address hidden>
Envoyé : mardi 20 juin 2017 21:57:21
À : <email address hidden>
Objet : [Bug 1692981] Re: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration

Hello Anthony,

On https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1692981 click
the text that says "Add attachment or patch" near the bottom left corner
of the page. On the next screen click "browse" and type in
/var/log/apt/term.log . Then click "post comment".

Thanks!

--
You received this bug notification because you are subscribed to a
duplicate bug report (1697072).
https://bugs.launchpad.net/bugs/1692981

Title:
  package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
  package is in a very bad inconsistent state; you should reinstall it
  before attempting configuration

Status in openssl package in Ubuntu:
  Confirmed

Bug description:
  package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
  package is in a very bad inconsistent state; you should reinstall it
  before attempting configuration

  ProblemType: Package
  DistroRelease: Ubuntu 17.04
  Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
  ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
  Uname: Linux 4.10.0-21-generic x86_64
  ApportVersion: 2.20.4-0ubuntu4.1
  AptOrdering:
   libssl1.0.0:amd64: Install
   NULL: ConfigurePending
  Architecture: amd64
  Date: Tue May 23 21:47:55 2017
  DuplicateSignature:
   package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
   Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
   dpkg: error processing package libssl-dev:amd64 (--configure):
    package is in a very bad inconsistent state; you should
  ErrorMessage: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
  InstallationDate: Installed on 2017-05-15 (7 days ago)
  InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu2
   apt 1.4
  SourcePackage: openssl
  Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1692981/+subscriptions

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dpkg (Ubuntu):
status: New → Confirmed

Sorry, I've been away from the computer for a while. Hope this helps.

Incidentally, running Software updater now responds "Failed to download
repository information - Check your internet connection" Internet is
fine immediately before and after each attempt.

Thanks

Alister

On 20/06/17 09:29, Seth Arnold wrote:
> Hello; would those of you affected by this bug please attach your
> /var/log/apt/term.log file?
>
> Thanks
>

Jeremy Gabriel (arabian-gabe) wrote :

Sorry for taking so long to post but here is my term.log file

Jeremy Gabriel (arabian-gabe) wrote :

Also, I just ran Software Updater and received:

Package Operation failed
The installation or removal of a software package failed.

No details or option to report

yousif (youusf) on 2017-06-28
Changed in dpkg (Ubuntu):
status: Confirmed → Fix Committed
Changed in openssl (Ubuntu):
status: Confirmed → Fix Committed
Changed in dpkg (Ubuntu):
status: Fix Committed → New
Changed in openssl (Ubuntu):
status: Fix Committed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dpkg (Ubuntu):
status: New → Confirmed
Changed in openssl (Ubuntu):
status: New → Confirmed

Title:
  package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
  package is in a very bad inconsistent state; you should reinstall it
  before attempting configuration

Status in openssl package in Ubuntu:
  Confirmed

Bug description:
  package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
  package is in a very bad inconsistent state; you should reinstall it
  before attempting configuration

  ProblemType: Package
  DistroRelease: Ubuntu 17.04
  Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
  ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
  Uname: Linux 4.10.0-21-generic x86_64
  ApportVersion: 2.20.4-0ubuntu4.1
  AptOrdering:
   libssl1.0.0:amd64: Install
   NULL: ConfigurePending
  Architecture: amd64
  Date: Tue May 23 21:47:55 2017
  DuplicateSignature:
   package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
   Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
   dpkg: error processing package libssl-dev:amd64 (--configure):
    package is in a very bad inconsistent state; you should
  ErrorMessage: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
  InstallationDate: Installed on 2017-05-15 (7 days ago)
  InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu2
   apt 1.4
  SourcePackage: openssl
  Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
  UpgradeStatus: No upgrade log present (probably fresh install)

Seth Arnold (seth-arnold) wrote :

I'm curious how we can work around this bug. If you're affected please report the results of:

dpkg -l | awk '/^iH/ { print $2 }'

This shows which specific packages are half-installed on your systems.

With the list of packages this returns, please also report success or failure of:

sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED LIST

Thanks

Jeremy Gabriel (arabian-gabe) wrote :

When I run the dpkg command, it doesn't list anything.....just brings up the prompt again.

Alister (timetaxi) wrote :

Hi Seth

My problem with the half installed package appears to have been resolved
with the "sudo apt-get install --reinstall" process. Updates are now
installing correctly as far as I can see.

Alister Lee

On 13/07/17 04:52, Seth Arnold wrote:
> I'm curious how we can work around this bug. If you're affected please
> report the results of:
>
> dpkg -l | awk '/^iH/ { print $2 }'
>
> This shows which specific packages are half-installed on your systems.
>
> With the list of packages this returns, please also report success or
> failure of:
>
> sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> LIST
>
> Thanks
>

Homatidis Dimitris (homatidis) wrote :

My updates are working correctly as well since the day before yesterday.

Dimitri

Στις Πέμ, 13 Ιουλ 2017 στις 1:55 π.μ., ο/η Alister <
<email address hidden>> έγραψε:

> Hi Seth
>
> My problem with the half installed package appears to have been resolved
> with the "sudo apt-get install --reinstall" process. Updates are now
> installing correctly as far as I can see.
>
> Alister Lee
>
>
> On 13/07/17 04:52, Seth Arnold wrote:
> > I'm curious how we can work around this bug. If you're affected please
> > report the results of:
> >
> > dpkg -l | awk '/^iH/ { print $2 }'
> >
> > This shows which specific packages are half-installed on your systems.
> >
> > With the list of packages this returns, please also report success or
> > failure of:
> >
> > sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> > LIST
> >
> > Thanks
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1698303).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in dpkg package in Ubuntu:
> Confirmed
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> Uname: Linux 4.10.0-21-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.1
> AptOrdering:
> libssl1.0.0:amd64: Install
> NULL: ConfigurePending
> Architecture: amd64
> Date: Tue May 23 21:47:55 2017
> DuplicateSignature:
> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> dpkg: error processing package libssl-dev:amd64 (--configure):
> package is in a very bad inconsistent state; you should
> ErrorMessage: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> InstallationDate: Installed on 2017-05-15 (7 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: openssl
> Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1692981/+subscriptions
>

Stephen Ewert (steve.ewert) wrote :
Download full text (5.1 KiB)

 the sudo apt-get install --reinstall process worked for me

On 13 July 2017 at 04:05, Homatidis Dimitris <email address hidden> wrote:

> My updates are working correctly as well since the day before yesterday.
>
> Dimitri
>
> Στις Πέμ, 13 Ιουλ 2017 στις 1:55 π.μ., ο/η Alister <
> <email address hidden>> έγραψε:
>
> > Hi Seth
> >
> > My problem with the half installed package appears to have been resolved
> > with the "sudo apt-get install --reinstall" process. Updates are now
> > installing correctly as far as I can see.
> >
> > Alister Lee
> >
> >
> > On 13/07/17 04:52, Seth Arnold wrote:
> > > I'm curious how we can work around this bug. If you're affected please
> > > report the results of:
> > >
> > > dpkg -l | awk '/^iH/ { print $2 }'
> > >
> > > This shows which specific packages are half-installed on your systems.
> > >
> > > With the list of packages this returns, please also report success or
> > > failure of:
> > >
> > > sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> > > LIST
> > >
> > > Thanks
> > >
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1698303).
> > https://bugs.launchpad.net/bugs/1692981
> >
> > Title:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > Status in dpkg package in Ubuntu:
> > Confirmed
> > Status in openssl package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 17.04
> > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > Uname: Linux 4.10.0-21-generic x86_64
> > ApportVersion: 2.20.4-0ubuntu4.1
> > AptOrdering:
> > libssl1.0.0:amd64: Install
> > NULL: ConfigurePending
> > Architecture: amd64
> > Date: Tue May 23 21:47:55 2017
> > DuplicateSignature:
> > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > dpkg: error processing package libssl-dev:amd64 (--configure):
> > package is in a very bad inconsistent state; you should
> > ErrorMessage: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> > RelatedPackageVersions:
> > dpkg 1.18.10ubuntu2
> > apt 1.4
> > SourcePackage: openssl
> > Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > install/upgrade: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > UpgradeStatus: No upgrade log present (probably fresh install)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/
> 1692981/+subscriptio...

Read more...

Jeremy Gabriel (arabian-gabe) wrote :

Hi guys,
I am still unable to get the list of half-installed packages using the dpkg command, is there another way to find these?

Out of curiosity, how many half-installed packages did you need to reinstall?

Thanks for all the support,
Jeremy

Seth Arnold (seth-arnold) wrote :

Jeremy, if you get the prompt back immediately after the dpkg -l | awk '/^iH/ { print $2 }' command, that means dpkg thinks nothing is half-installed. This is good news; if you still have problems with:

sudo apt-get update
sudo apt-get -u dist-upgrade

then please paste the results you're getting.

Thanks

Jeremy Gabriel (arabian-gabe) wrote :

Thanks, Seth. I ended up using sudo apt-get install --reinstall
libssl1.0.0:i386 (which I found in the term.log listed as a bad
package).....now everything seems to be working fine.

On Thu, Jul 13, 2017 at 5:33 PM, Seth Arnold <email address hidden>
wrote:

> Jeremy, if you get the prompt back immediately after the dpkg -l | awk
> '/^iH/ { print $2 }' command, that means dpkg thinks nothing is half-
> installed. This is good news; if you still have problems with:
>
> sudo apt-get update
> sudo apt-get -u dist-upgrade
>
> then please paste the results you're getting.
>
> Thanks
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696799).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in dpkg package in Ubuntu:
> Confirmed
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> Uname: Linux 4.10.0-21-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.1
> AptOrdering:
> libssl1.0.0:amd64: Install
> NULL: ConfigurePending
> Architecture: amd64
> Date: Tue May 23 21:47:55 2017
> DuplicateSignature:
> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> dpkg: error processing package libssl-dev:amd64 (--configure):
> package is in a very bad inconsistent state; you should
> ErrorMessage: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> InstallationDate: Installed on 2017-05-15 (7 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: openssl
> Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1692981/+subscriptions
>

carduner (alan-breck) wrote :

It works, after reinstall the packets (libc6-dbg:amd64 and openssl)
Thanks Seth!

Le 12/07/2017 à 20:52, Seth Arnold a écrit :
> I'm curious how we can work around this bug. If you're affected please
> report the results of:
>
> dpkg -l | awk '/^iH/ { print $2 }'
>
> This shows which specific packages are half-installed on your systems.
>
> With the list of packages this returns, please also report success or
> failure of:
>
> sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> LIST
>
> Thanks
>

vincenzo (boccia) wrote :

Thanks to everyone I solved the bug .... in fact it was the package
that was not installed properly. I just had to reinstall the whole
thing

If anyone may be interested

Sudo apt-get install --reinstall libc6-dbg: amd64

Thank you again to everyone!!!!!!

vincenzo

2017-07-14 11:25 GMT+02:00 carduner <email address hidden>:

> It works, after reinstall the packets (libc6-dbg:amd64 and openssl)
> Thanks Seth!
>
> Le 12/07/2017 à 20:52, Seth Arnold a écrit :
> > I'm curious how we can work around this bug. If you're affected please
> > report the results of:
> >
> > dpkg -l | awk '/^iH/ { print $2 }'
> >
> > This shows which specific packages are half-installed on your systems.
> >
> > With the list of packages this returns, please also report success or
> > failure of:
> >
> > sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> > LIST
> >
> > Thanks
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1701676).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in dpkg package in Ubuntu:
> Confirmed
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> Uname: Linux 4.10.0-21-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.1
> AptOrdering:
> libssl1.0.0:amd64: Install
> NULL: ConfigurePending
> Architecture: amd64
> Date: Tue May 23 21:47:55 2017
> DuplicateSignature:
> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> dpkg: error processing package libssl-dev:amd64 (--configure):
> package is in a very bad inconsistent state; you should
> ErrorMessage: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> InstallationDate: Installed on 2017-05-15 (7 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: openssl
> Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1692981/+subscriptions
>

Download full text (5.2 KiB)

It seems that sudo apt-get install –reinstall libc6-dbg: amd64

is working for my computer too.

Thank you very much to everybody!!

2017-07-15 0:28 GMT+02:00 vincenzo <email address hidden>:

> Thanks to everyone I solved the bug .... in fact it was the package
> that was not installed properly. I just had to reinstall the whole
> thing
>
> If anyone may be interested
>
> Sudo apt-get install --reinstall libc6-dbg: amd64
>
>
> Thank you again to everyone!!!!!!
>
> vincenzo
>
>
>
> 2017-07-14 11:25 GMT+02:00 carduner <email address hidden>:
>
> > It works, after reinstall the packets (libc6-dbg:amd64 and openssl)
> > Thanks Seth!
> >
> > Le 12/07/2017 à 20:52, Seth Arnold a écrit :
> > > I'm curious how we can work around this bug. If you're affected please
> > > report the results of:
> > >
> > > dpkg -l | awk '/^iH/ { print $2 }'
> > >
> > > This shows which specific packages are half-installed on your systems.
> > >
> > > With the list of packages this returns, please also report success or
> > > failure of:
> > >
> > > sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> > > LIST
> > >
> > > Thanks
> > >
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1701676).
> > https://bugs.launchpad.net/bugs/1692981
> >
> > Title:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > Status in dpkg package in Ubuntu:
> > Confirmed
> > Status in openssl package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 17.04
> > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > Uname: Linux 4.10.0-21-generic x86_64
> > ApportVersion: 2.20.4-0ubuntu4.1
> > AptOrdering:
> > libssl1.0.0:amd64: Install
> > NULL: ConfigurePending
> > Architecture: amd64
> > Date: Tue May 23 21:47:55 2017
> > DuplicateSignature:
> > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > dpkg: error processing package libssl-dev:amd64 (--configure):
> > package is in a very bad inconsistent state; you should
> > ErrorMessage: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> > RelatedPackageVersions:
> > dpkg 1.18.10ubuntu2
> > apt 1.4
> > SourcePackage: openssl
> > Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > install/upgrade: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > UpgradeStatus: No upgrade log present (probably fresh install)
> >
> > To manage notification...

Read more...

Stephen Ewert (steve.ewert) wrote :
Download full text (7.6 KiB)

Done.

On Jul 15, 2017 5:41 AM, "Fernando Couto" <email address hidden>
wrote:

> It seems that sudo apt-get install –reinstall libc6-dbg: amd64
>
> is working for my computer too.
>
> Thank you very much to everybody!!
>
>
> 2017-07-15 0:28 GMT+02:00 vincenzo <email address hidden>:
>
> > Thanks to everyone I solved the bug .... in fact it was the package
> > that was not installed properly. I just had to reinstall the whole
> > thing
> >
> > If anyone may be interested
> >
> > Sudo apt-get install --reinstall libc6-dbg: amd64
> >
> >
> > Thank you again to everyone!!!!!!
> >
> > vincenzo
> >
> >
> >
> > 2017-07-14 11:25 GMT+02:00 carduner <email address hidden>:
> >
> > > It works, after reinstall the packets (libc6-dbg:amd64 and openssl)
> > > Thanks Seth!
> > >
> > > Le 12/07/2017 à 20:52, Seth Arnold a écrit :
> > > > I'm curious how we can work around this bug. If you're affected
> please
> > > > report the results of:
> > > >
> > > > dpkg -l | awk '/^iH/ { print $2 }'
> > > >
> > > > This shows which specific packages are half-installed on your
> systems.
> > > >
> > > > With the list of packages this returns, please also report success or
> > > > failure of:
> > > >
> > > > sudo apt-get install --reinstall ALL PACKAGES FROM THE HALF-INSTALLED
> > > > LIST
> > > >
> > > > Thanks
> > > >
> > >
> > > --
> > > You received this bug notification because you are subscribed to a
> > > duplicate bug report (1701676).
> > > https://bugs.launchpad.net/bugs/1692981
> > >
> > > Title:
> > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade:
> > > package is in a very bad inconsistent state; you should reinstall it
> > > before attempting configuration
> > >
> > > Status in dpkg package in Ubuntu:
> > > Confirmed
> > > Status in openssl package in Ubuntu:
> > > Confirmed
> > >
> > > Bug description:
> > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade:
> > > package is in a very bad inconsistent state; you should reinstall it
> > > before attempting configuration
> > >
> > > ProblemType: Package
> > > DistroRelease: Ubuntu 17.04
> > > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > > Uname: Linux 4.10.0-21-generic x86_64
> > > ApportVersion: 2.20.4-0ubuntu4.1
> > > AptOrdering:
> > > libssl1.0.0:amd64: Install
> > > NULL: ConfigurePending
> > > Architecture: amd64
> > > Date: Tue May 23 21:47:55 2017
> > > DuplicateSignature:
> > > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > > dpkg: error processing package libssl-dev:amd64 (--configure):
> > > package is in a very bad inconsistent state; you should
> > > ErrorMessage: package is in a very bad inconsistent state; you should
> > > reinstall it before attempting configuration
> > > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> > (20170412)
> > > RelatedPackageVersions:
> > > dpkg 1.18.10ubuntu2
> > > apt 1.4
> > > SourcePackage: openssl
> > > Title: packag...

Read more...

Seth,

Thank you very much. Your advice worked for me.

Here the results you've requested:

1) dpkg -l | awk '/^iH/ { print $2 }' ----> libssl1.0.0:amd64

2) sudo apt-get install --reinstall libssl1.0.0:amd64 ----> Ok.

3) dpkg -l | awk '/^iH/ { print $2 }' ----> (none)

Jeremy Gabriel (arabian-gabe) wrote :

I had a slightly different issue but the solution was very similar. When I ran the dpkg command it didn't list any bad packages, though when I updated it still told me there was a package in a very bad state. I used:

sudo apt-get install --reinstall libssl1.0.0:i386 (this was listed in my term.log file as bad)

and now everything is updating/installing properly. I'm running Ubuntu 16.04 on an intel dual core i7.

cesar (cesarzc95) wrote :

Thanks, problem solved.

Changed in openssl (Ubuntu):
status: Confirmed → Fix Released
Changed in dpkg (Ubuntu):
status: Confirmed → Fix Released
Changed in dpkg (Ubuntu):
status: Fix Released → Confirmed
Changed in openssl (Ubuntu):
status: Fix Released → Confirmed

I wrote in the terminal this: sudo apt-get install --reinstall libssl-dev:amd64
1.0.2g-1ubuntu11.2
Unfortunately it doesn't work. The problem remains.

Please If you have another command which I can try? Thank you

Sandra

2017-07-25 0:09 GMT+02:00 Seth Arnold <email address hidden>:

> ** Changed in: dpkg (Ubuntu)
> Status: Fix Released => Confirmed
>
> ** Changed in: openssl (Ubuntu)
> Status: Fix Released => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in dpkg package in Ubuntu:
> Confirmed
> Status in openssl package in Ubuntu:
> Confirmed
>
> Bug description:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> Uname: Linux 4.10.0-21-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4.1
> AptOrdering:
> libssl1.0.0:amd64: Install
> NULL: ConfigurePending
> Architecture: amd64
> Date: Tue May 23 21:47:55 2017
> DuplicateSignature:
> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> dpkg: error processing package libssl-dev:amd64 (--configure):
> package is in a very bad inconsistent state; you should
> ErrorMessage: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> InstallationDate: Installed on 2017-05-15 (7 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: openssl
> Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade: package is in a very bad inconsistent state; you should
> reinstall it before attempting configuration
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1692981/+subscriptions
>

Jeremy Gabriel (arabian-gabe) wrote :
Download full text (4.7 KiB)

Hi Sandra,
I had to use

sudo apt-get install --reinstall libssl1.0.0:i386

Hope this helps,
Jeremy

On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <email address hidden>
wrote:

> I wrote in the terminal this: sudo apt-get install --reinstall
> libssl-dev:amd64
> 1.0.2g-1ubuntu11.2
> Unfortunately it doesn't work. The problem remains.
>
> Please If you have another command which I can try? Thank you
>
> Sandra
>
> 2017-07-25 0:09 GMT+02:00 Seth Arnold <email address hidden>:
>
> > ** Changed in: dpkg (Ubuntu)
> > Status: Fix Released => Confirmed
> >
> > ** Changed in: openssl (Ubuntu)
> > Status: Fix Released => Confirmed
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1692981
> >
> > Title:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > Status in dpkg package in Ubuntu:
> > Confirmed
> > Status in openssl package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> > package is in a very bad inconsistent state; you should reinstall it
> > before attempting configuration
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 17.04
> > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > Uname: Linux 4.10.0-21-generic x86_64
> > ApportVersion: 2.20.4-0ubuntu4.1
> > AptOrdering:
> > libssl1.0.0:amd64: Install
> > NULL: ConfigurePending
> > Architecture: amd64
> > Date: Tue May 23 21:47:55 2017
> > DuplicateSignature:
> > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > dpkg: error processing package libssl-dev:amd64 (--configure):
> > package is in a very bad inconsistent state; you should
> > ErrorMessage: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> (20170412)
> > RelatedPackageVersions:
> > dpkg 1.18.10ubuntu2
> > apt 1.4
> > SourcePackage: openssl
> > Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > install/upgrade: package is in a very bad inconsistent state; you should
> > reinstall it before attempting configuration
> > UpgradeStatus: No upgrade log present (probably fresh install)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/
> 1692981/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696799).
> https://bugs.launchpad.net/bugs/1692981
>
> Title:
> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to install/upgrade:
> package is in a very bad inconsistent state; you should reinstall it
> before attempting configuration
>
> Status in dpkg package in Ubuntu:
> Confirmed
> Status...

Read more...

Download full text (7.2 KiB)

Hi Jeremy,

Thank you very much. I tried your command. I've put the result you in the
attachment. Unfortunately it is in part in italian, but maybe you could
understand something. Please let me know.

Sandra

2017-08-04 17:59 GMT+02:00 Jeremy Gabriel <email address hidden>:

> Hi Sandra,
> I had to use
>
> sudo apt-get install --reinstall libssl1.0.0:i386
>
> Hope this helps,
> Jeremy
>
> On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <
> <email address hidden>>
> wrote:
>
> > I wrote in the terminal this: sudo apt-get install --reinstall
> > libssl-dev:amd64
> > 1.0.2g-1ubuntu11.2
> > Unfortunately it doesn't work. The problem remains.
> >
> > Please If you have another command which I can try? Thank you
> >
> > Sandra
> >
> > 2017-07-25 0:09 GMT+02:00 Seth Arnold <email address hidden>:
> >
> > > ** Changed in: dpkg (Ubuntu)
> > > Status: Fix Released => Confirmed
> > >
> > > ** Changed in: openssl (Ubuntu)
> > > Status: Fix Released => Confirmed
> > >
> > > --
> > > You received this bug notification because you are subscribed to the
> bug
> > > report.
> > > https://bugs.launchpad.net/bugs/1692981
> > >
> > > Title:
> > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade:
> > > package is in a very bad inconsistent state; you should reinstall it
> > > before attempting configuration
> > >
> > > Status in dpkg package in Ubuntu:
> > > Confirmed
> > > Status in openssl package in Ubuntu:
> > > Confirmed
> > >
> > > Bug description:
> > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> install/upgrade:
> > > package is in a very bad inconsistent state; you should reinstall it
> > > before attempting configuration
> > >
> > > ProblemType: Package
> > > DistroRelease: Ubuntu 17.04
> > > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > > Uname: Linux 4.10.0-21-generic x86_64
> > > ApportVersion: 2.20.4-0ubuntu4.1
> > > AptOrdering:
> > > libssl1.0.0:amd64: Install
> > > NULL: ConfigurePending
> > > Architecture: amd64
> > > Date: Tue May 23 21:47:55 2017
> > > DuplicateSignature:
> > > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > > dpkg: error processing package libssl-dev:amd64 (--configure):
> > > package is in a very bad inconsistent state; you should
> > > ErrorMessage: package is in a very bad inconsistent state; you should
> > > reinstall it before attempting configuration
> > > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> > (20170412)
> > > RelatedPackageVersions:
> > > dpkg 1.18.10ubuntu2
> > > apt 1.4
> > > SourcePackage: openssl
> > > Title: package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > > install/upgrade: package is in a very bad inconsistent state; you
> should
> > > reinstall it before attempting configuration
> > > UpgradeStatus: No upgrade log present (probably fresh install)
> > >
> > > To manage notifications about this bug go to:
> > > https://bugs.launchpad.net/ubuntu/+source/dpk...

Read more...

Jeremy Gabriel (arabian-gabe) wrote :
Download full text (10.1 KiB)

Did you run the dpkg -l | awk '/^iH/ { print $2 }' command that Seth posted
earlier in the thread? If so, you need to run the reinstall line for any
package listed.

Unfortunately that's the limit to what I will be able to help with. Good
luck

On Fri, Aug 4, 2017 at 10:07 AM, Sandra Viktoria Mueller <email address hidden>
wrote:

> Hi Jeremy,
>
> Thank you very much. I tried your command. I've put the result you in the
> attachment. Unfortunately it is in part in italian, but maybe you could
> understand something. Please let me know.
>
> Sandra
>
> 2017-08-04 17:59 GMT+02:00 Jeremy Gabriel <email address hidden>:
>
> > Hi Sandra,
> > I had to use
> >
> > sudo apt-get install --reinstall libssl1.0.0:i386
> >
> > Hope this helps,
> > Jeremy
> >
> > On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <
> > <email address hidden>>
> > wrote:
> >
> > > I wrote in the terminal this: sudo apt-get install --reinstall
> > > libssl-dev:amd64
> > > 1.0.2g-1ubuntu11.2
> > > Unfortunately it doesn't work. The problem remains.
> > >
> > > Please If you have another command which I can try? Thank you
> > >
> > > Sandra
> > >
> > > 2017-07-25 0:09 GMT+02:00 Seth Arnold <email address hidden>:
> > >
> > > > ** Changed in: dpkg (Ubuntu)
> > > > Status: Fix Released => Confirmed
> > > >
> > > > ** Changed in: openssl (Ubuntu)
> > > > Status: Fix Released => Confirmed
> > > >
> > > > --
> > > > You received this bug notification because you are subscribed to the
> > bug
> > > > report.
> > > > https://bugs.launchpad.net/bugs/1692981
> > > >
> > > > Title:
> > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > install/upgrade:
> > > > package is in a very bad inconsistent state; you should reinstall
> it
> > > > before attempting configuration
> > > >
> > > > Status in dpkg package in Ubuntu:
> > > > Confirmed
> > > > Status in openssl package in Ubuntu:
> > > > Confirmed
> > > >
> > > > Bug description:
> > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > install/upgrade:
> > > > package is in a very bad inconsistent state; you should reinstall
> it
> > > > before attempting configuration
> > > >
> > > > ProblemType: Package
> > > > DistroRelease: Ubuntu 17.04
> > > > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > > > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > > > Uname: Linux 4.10.0-21-generic x86_64
> > > > ApportVersion: 2.20.4-0ubuntu4.1
> > > > AptOrdering:
> > > > libssl1.0.0:amd64: Install
> > > > NULL: ConfigurePending
> > > > Architecture: amd64
> > > > Date: Tue May 23 21:47:55 2017
> > > > DuplicateSignature:
> > > > package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
> > > > Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
> > > > dpkg: error processing package libssl-dev:amd64 (--configure):
> > > > package is in a very bad inconsistent state; you should
> > > > ErrorMessage: package is in a very bad inconsistent state; you
> should
> > > > reinstall it before attempting configuration
> > > > InstallationDate: Installed on 2017-05-15 (7 days ago)
> > > > InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64
> > > (2...

Download full text (10.5 KiB)

Thanks, it worked for me too.

On 04/08/17 14:55, Jeremy Gabriel wrote:
> Did you run the dpkg -l | awk '/^iH/ { print $2 }' command that Seth posted
> earlier in the thread? If so, you need to run the reinstall line for any
> package listed.
>
> Unfortunately that's the limit to what I will be able to help with. Good
> luck
>
>
> On Fri, Aug 4, 2017 at 10:07 AM, Sandra Viktoria Mueller <email address hidden>
> wrote:
>
>> Hi Jeremy,
>>
>> Thank you very much. I tried your command. I've put the result you in the
>> attachment. Unfortunately it is in part in italian, but maybe you could
>> understand something. Please let me know.
>>
>> Sandra
>>
>> 2017-08-04 17:59 GMT+02:00 Jeremy Gabriel <email address hidden>:
>>
>>> Hi Sandra,
>>> I had to use
>>>
>>> sudo apt-get install --reinstall libssl1.0.0:i386
>>>
>>> Hope this helps,
>>> Jeremy
>>>
>>> On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <
>>> <email address hidden>>
>>> wrote:
>>>
>>>> I wrote in the terminal this: sudo apt-get install --reinstall
>>>> libssl-dev:amd64
>>>> 1.0.2g-1ubuntu11.2
>>>> Unfortunately it doesn't work. The problem remains.
>>>>
>>>> Please If you have another command which I can try? Thank you
>>>>
>>>> Sandra
>>>>
>>>> 2017-07-25 0:09 GMT+02:00 Seth Arnold <email address hidden>:
>>>>
>>>>> ** Changed in: dpkg (Ubuntu)
>>>>> Status: Fix Released => Confirmed
>>>>>
>>>>> ** Changed in: openssl (Ubuntu)
>>>>> Status: Fix Released => Confirmed
>>>>>
>>>>> --
>>>>> You received this bug notification because you are subscribed to the
>>> bug
>>>>> report.
>>>>> https://bugs.launchpad.net/bugs/1692981
>>>>>
>>>>> Title:
>>>>> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
>>> install/upgrade:
>>>>> package is in a very bad inconsistent state; you should reinstall
>> it
>>>>> before attempting configuration
>>>>>
>>>>> Status in dpkg package in Ubuntu:
>>>>> Confirmed
>>>>> Status in openssl package in Ubuntu:
>>>>> Confirmed
>>>>>
>>>>> Bug description:
>>>>> package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
>>> install/upgrade:
>>>>> package is in a very bad inconsistent state; you should reinstall
>> it
>>>>> before attempting configuration
>>>>>
>>>>> ProblemType: Package
>>>>> DistroRelease: Ubuntu 17.04
>>>>> Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
>>>>> ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
>>>>> Uname: Linux 4.10.0-21-generic x86_64
>>>>> ApportVersion: 2.20.4-0ubuntu4.1
>>>>> AptOrdering:
>>>>> libssl1.0.0:amd64: Install
>>>>> NULL: ConfigurePending
>>>>> Architecture: amd64
>>>>> Date: Tue May 23 21:47:55 2017
>>>>> DuplicateSignature:
>>>>> package:libssl-dev:amd64:1.0.2g-1ubuntu11.2
>>>>> Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu11.2) ...
>>>>> dpkg: error processing package libssl-dev:amd64 (--configure):
>>>>> package is in a very bad inconsistent state; you should
>>>>> ErrorMessage: package is in a very bad inconsistent state; you
>> should
>>>>> reinstall it before attempting configuration
>>>>> Install...

Download full text (13.0 KiB)

I run the dpkg -l | awk '/^iH/ { print $2 }' command. He doesn't give me
any result.
But the problem remains. The update for the operating system stops at the
half way.

And I've got another update for software 3.20.5 which not even starts. Any
idea what I could try?

Thank you

Sandra

2017-08-04 21:55 GMT+02:00 Jeremy Gabriel <email address hidden>:

> Did you run the dpkg -l | awk '/^iH/ { print $2 }' command that Seth posted
> earlier in the thread? If so, you need to run the reinstall line for any
> package listed.
>
> Unfortunately that's the limit to what I will be able to help with. Good
> luck
>
>
> On Fri, Aug 4, 2017 at 10:07 AM, Sandra Viktoria Mueller <
> <email address hidden>>
> wrote:
>
> > Hi Jeremy,
> >
> > Thank you very much. I tried your command. I've put the result you in the
> > attachment. Unfortunately it is in part in italian, but maybe you could
> > understand something. Please let me know.
> >
> > Sandra
> >
> > 2017-08-04 17:59 GMT+02:00 Jeremy Gabriel <email address hidden>:
> >
> > > Hi Sandra,
> > > I had to use
> > >
> > > sudo apt-get install --reinstall libssl1.0.0:i386
> > >
> > > Hope this helps,
> > > Jeremy
> > >
> > > On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <
> > > <email address hidden>>
> > > wrote:
> > >
> > > > I wrote in the terminal this: sudo apt-get install --reinstall
> > > > libssl-dev:amd64
> > > > 1.0.2g-1ubuntu11.2
> > > > Unfortunately it doesn't work. The problem remains.
> > > >
> > > > Please If you have another command which I can try? Thank you
> > > >
> > > > Sandra
> > > >
> > > > 2017-07-25 0:09 GMT+02:00 Seth Arnold <email address hidden>:
> > > >
> > > > > ** Changed in: dpkg (Ubuntu)
> > > > > Status: Fix Released => Confirmed
> > > > >
> > > > > ** Changed in: openssl (Ubuntu)
> > > > > Status: Fix Released => Confirmed
> > > > >
> > > > > --
> > > > > You received this bug notification because you are subscribed to
> the
> > > bug
> > > > > report.
> > > > > https://bugs.launchpad.net/bugs/1692981
> > > > >
> > > > > Title:
> > > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > > install/upgrade:
> > > > > package is in a very bad inconsistent state; you should
> reinstall
> > it
> > > > > before attempting configuration
> > > > >
> > > > > Status in dpkg package in Ubuntu:
> > > > > Confirmed
> > > > > Status in openssl package in Ubuntu:
> > > > > Confirmed
> > > > >
> > > > > Bug description:
> > > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > > install/upgrade:
> > > > > package is in a very bad inconsistent state; you should
> reinstall
> > it
> > > > > before attempting configuration
> > > > >
> > > > > ProblemType: Package
> > > > > DistroRelease: Ubuntu 17.04
> > > > > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > > > > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > > > > Uname: Linux 4.10.0-21-generic x86_64
> > > > > ApportVersion: 2.20.4-0ubuntu4.1
> > > > > AptOrdering:
> > > > > libssl1.0.0:amd64: Install
> > > > > NULL: ConfigurePending
> > > > > Architecture: amd64
> > > > > Date: Tue May 23 21:47:55 2017
> > > > > DuplicateSignature:
> > > > ...

peter dirnberger (seriouspete) wrote :
Download full text (15.8 KiB)

this fixed my problem

On 5 August 2017 at 22:39, Sandra Viktoria Mueller <email address hidden>
wrote:

> I run the dpkg -l | awk '/^iH/ { print $2 }' command. He doesn't give me
> any result.
> But the problem remains. The update for the operating system stops at the
> half way.
>
> And I've got another update for software 3.20.5 which not even starts. Any
> idea what I could try?
>
> Thank you
>
> Sandra
>
>
> 2017-08-04 21:55 GMT+02:00 Jeremy Gabriel <email address hidden>:
>
> > Did you run the dpkg -l | awk '/^iH/ { print $2 }' command that Seth
> posted
> > earlier in the thread? If so, you need to run the reinstall line for any
> > package listed.
> >
> > Unfortunately that's the limit to what I will be able to help with. Good
> > luck
> >
> >
> > On Fri, Aug 4, 2017 at 10:07 AM, Sandra Viktoria Mueller <
> > <email address hidden>>
> > wrote:
> >
> > > Hi Jeremy,
> > >
> > > Thank you very much. I tried your command. I've put the result you in
> the
> > > attachment. Unfortunately it is in part in italian, but maybe you could
> > > understand something. Please let me know.
> > >
> > > Sandra
> > >
> > > 2017-08-04 17:59 GMT+02:00 Jeremy Gabriel <email address hidden>:
> > >
> > > > Hi Sandra,
> > > > I had to use
> > > >
> > > > sudo apt-get install --reinstall libssl1.0.0:i386
> > > >
> > > > Hope this helps,
> > > > Jeremy
> > > >
> > > > On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <
> > > > <email address hidden>>
> > > > wrote:
> > > >
> > > > > I wrote in the terminal this: sudo apt-get install --reinstall
> > > > > libssl-dev:amd64
> > > > > 1.0.2g-1ubuntu11.2
> > > > > Unfortunately it doesn't work. The problem remains.
> > > > >
> > > > > Please If you have another command which I can try? Thank you
> > > > >
> > > > > Sandra
> > > > >
> > > > > 2017-07-25 0:09 GMT+02:00 Seth Arnold <<email address hidden>
> >:
> > > > >
> > > > > > ** Changed in: dpkg (Ubuntu)
> > > > > > Status: Fix Released => Confirmed
> > > > > >
> > > > > > ** Changed in: openssl (Ubuntu)
> > > > > > Status: Fix Released => Confirmed
> > > > > >
> > > > > > --
> > > > > > You received this bug notification because you are subscribed to
> > the
> > > > bug
> > > > > > report.
> > > > > > https://bugs.launchpad.net/bugs/1692981
> > > > > >
> > > > > > Title:
> > > > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > > > install/upgrade:
> > > > > > package is in a very bad inconsistent state; you should
> > reinstall
> > > it
> > > > > > before attempting configuration
> > > > > >
> > > > > > Status in dpkg package in Ubuntu:
> > > > > > Confirmed
> > > > > > Status in openssl package in Ubuntu:
> > > > > > Confirmed
> > > > > >
> > > > > > Bug description:
> > > > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > > > install/upgrade:
> > > > > > package is in a very bad inconsistent state; you should
> > reinstall
> > > it
> > > > > > before attempting configuration
> > > > > >
> > > > > > ProblemType: Package
> > > > > > DistroRelease: Ubuntu 17.04
> > > > > > Package: libssl-dev:amd64 1.0.2g-1ubuntu11.2
> > > > > > ProcVersionSignature: Ubuntu 4.10.0-21.23-generic 4.10.11
> > > > > > ...

Download full text (19.0 KiB)

I risolved finally. I just run the Software Updater programme, which
completely alone installed the missing packages and cancelled everthing
which I don't need. Now all is going the usual way, like before.

2017-08-08 9:11 GMT+02:00 peter dirnberger <email address hidden>:

> this fixed my problem
>
> On 5 August 2017 at 22:39, Sandra Viktoria Mueller <email address hidden>
> wrote:
>
> > I run the dpkg -l | awk '/^iH/ { print $2 }' command. He doesn't give me
> > any result.
> > But the problem remains. The update for the operating system stops at the
> > half way.
> >
> > And I've got another update for software 3.20.5 which not even starts.
> Any
> > idea what I could try?
> >
> > Thank you
> >
> > Sandra
> >
> >
> > 2017-08-04 21:55 GMT+02:00 Jeremy Gabriel <email address hidden>:
> >
> > > Did you run the dpkg -l | awk '/^iH/ { print $2 }' command that Seth
> > posted
> > > earlier in the thread? If so, you need to run the reinstall line for
> any
> > > package listed.
> > >
> > > Unfortunately that's the limit to what I will be able to help with.
> Good
> > > luck
> > >
> > >
> > > On Fri, Aug 4, 2017 at 10:07 AM, Sandra Viktoria Mueller <
> > > <email address hidden>>
> > > wrote:
> > >
> > > > Hi Jeremy,
> > > >
> > > > Thank you very much. I tried your command. I've put the result you in
> > the
> > > > attachment. Unfortunately it is in part in italian, but maybe you
> could
> > > > understand something. Please let me know.
> > > >
> > > > Sandra
> > > >
> > > > 2017-08-04 17:59 GMT+02:00 Jeremy Gabriel <email address hidden>:
> > > >
> > > > > Hi Sandra,
> > > > > I had to use
> > > > >
> > > > > sudo apt-get install --reinstall libssl1.0.0:i386
> > > > >
> > > > > Hope this helps,
> > > > > Jeremy
> > > > >
> > > > > On Thu, Jul 27, 2017 at 2:28 AM, Sandra Viktoria Mueller <
> > > > > <email address hidden>>
> > > > > wrote:
> > > > >
> > > > > > I wrote in the terminal this: sudo apt-get install --reinstall
> > > > > > libssl-dev:amd64
> > > > > > 1.0.2g-1ubuntu11.2
> > > > > > Unfortunately it doesn't work. The problem remains.
> > > > > >
> > > > > > Please If you have another command which I can try? Thank you
> > > > > >
> > > > > > Sandra
> > > > > >
> > > > > > 2017-07-25 0:09 GMT+02:00 Seth Arnold <
> <email address hidden>
> > >:
> > > > > >
> > > > > > > ** Changed in: dpkg (Ubuntu)
> > > > > > > Status: Fix Released => Confirmed
> > > > > > >
> > > > > > > ** Changed in: openssl (Ubuntu)
> > > > > > > Status: Fix Released => Confirmed
> > > > > > >
> > > > > > > --
> > > > > > > You received this bug notification because you are subscribed
> to
> > > the
> > > > > bug
> > > > > > > report.
> > > > > > > https://bugs.launchpad.net/bugs/1692981
> > > > > > >
> > > > > > > Title:
> > > > > > > package libssl-dev:amd64 1.0.2g-1ubuntu11.2 failed to
> > > > > install/upgrade:
> > > > > > > package is in a very bad inconsistent state; you should
> > > reinstall
> > > > it
> > > > > > > before attempting configuration
> > > > > > >
> > > > > > > Status in dpkg package in Ubuntu:
> > > > > > > Confirmed
> > > > > > > Status in openssl package in Ubuntu:
> > > > > > > Confirmed
> > > > > > >
> > > > > > >...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers